v2 Crosstab Cell Query
curl --request POST \
--url https://api.globalwebindex.com/v2/query/intersection \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"audiences": {
"row": {
"id": "133",
"name": "my_audience",
"expression": {
"and": [
{
"question": "q2",
"datapoints": [
"q2_1",
"q2_2"
],
"min_count": 1,
"not": false
},
{
"question": "q6",
"datapoints": [
"q6_2"
],
"min_count": 1,
"not": false
}
]
}
},
"column": {
"id": "134",
"name": "my_audience",
"expression": {
"and": [
{
"question": "q2",
"datapoints": [
"q2_1",
"q2_2"
],
"min_count": 1,
"not": false
},
{
"question": "q6",
"datapoints": [
"q6_2"
],
"min_count": 1,
"not": false
}
]
}
}
},
"locations": [
"s2_1",
"s2_44"
],
"waves": [
"q1_2019",
"q2_2019",
"q3_2019",
"q4_2019"
],
"base_audience": {
"id": "135",
"name": "my_audience",
"expression": {
"and": [
{
"question": "q2",
"datapoints": [
"q2_1",
"q2_2"
],
"min_count": 1,
"not": false
},
{
"question": "q6",
"datapoints": [
"q6_2"
],
"min_count": 1,
"not": false
}
]
}
}
}
'import requests
url = "https://api.globalwebindex.com/v2/query/intersection"
payload = {
"audiences": {
"row": {
"id": "133",
"name": "my_audience",
"expression": { "and": [
{
"question": "q2",
"datapoints": ["q2_1", "q2_2"],
"min_count": 1,
"not": False
},
{
"question": "q6",
"datapoints": ["q6_2"],
"min_count": 1,
"not": False
}
] }
},
"column": {
"id": "134",
"name": "my_audience",
"expression": { "and": [
{
"question": "q2",
"datapoints": ["q2_1", "q2_2"],
"min_count": 1,
"not": False
},
{
"question": "q6",
"datapoints": ["q6_2"],
"min_count": 1,
"not": False
}
] }
}
},
"locations": ["s2_1", "s2_44"],
"waves": ["q1_2019", "q2_2019", "q3_2019", "q4_2019"],
"base_audience": {
"id": "135",
"name": "my_audience",
"expression": { "and": [
{
"question": "q2",
"datapoints": ["q2_1", "q2_2"],
"min_count": 1,
"not": False
},
{
"question": "q6",
"datapoints": ["q6_2"],
"min_count": 1,
"not": False
}
] }
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
audiences: {
row: {
id: '133',
name: 'my_audience',
expression: {
and: [
{question: 'q2', datapoints: ['q2_1', 'q2_2'], min_count: 1, not: false},
{question: 'q6', datapoints: ['q6_2'], min_count: 1, not: false}
]
}
},
column: {
id: '134',
name: 'my_audience',
expression: {
and: [
{question: 'q2', datapoints: ['q2_1', 'q2_2'], min_count: 1, not: false},
{question: 'q6', datapoints: ['q6_2'], min_count: 1, not: false}
]
}
}
},
locations: ['s2_1', 's2_44'],
waves: ['q1_2019', 'q2_2019', 'q3_2019', 'q4_2019'],
base_audience: {
id: '135',
name: 'my_audience',
expression: {
and: [
{question: 'q2', datapoints: ['q2_1', 'q2_2'], min_count: 1, not: false},
{question: 'q6', datapoints: ['q6_2'], min_count: 1, not: false}
]
}
}
})
};
fetch('https://api.globalwebindex.com/v2/query/intersection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"type": "INTERSECTION"
},
"data": {
"audiences": {
"row": {
"audience": "<string>",
"size": 123,
"sample": 123,
"percentage": 123,
"intersect_percentage": 123
},
"column": {
"audience": "<string>",
"size": 123,
"sample": 123,
"percentage": 123,
"intersect_percentage": 123
}
},
"base": {
"size": 123,
"sample": 123
},
"intersect": {
"size": 123,
"sample": 123,
"percentage": 123,
"index": 123
}
}
}Query
v2 Crosstab Cell Query
For any query (JSON object) with audiences and filters in request body it gives back a response with results for specific Crosstab metrics according to the query.
POST
/
v2
/
query
/
intersection
v2 Crosstab Cell Query
Authorizations
Body
application/json
Crosstab builder query.
Audiences and filters as parameters for Crosstab Builder metrics.
Object of row and column audiences to make intersection from. If only one audience is queried then the base audience is taken as the second audience. If none audience is queried then base audience is taken for both row and column audiences.
Show child attributes
Show child attributes
List of location codes to filter.
Example:
["s2_1", "s2_44"]List of wave codes to filter.
Example:
["q1_2019", "q2_2019", "q3_2019", "q4_2019"]Wrapper structure containing AudienceExpression.
Show child attributes
Show child attributes
Response
Correct results for given query.
Was this page helpful?
⌘I

